ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-18951) Force InnoDB usage for MySQL
Date Fri, 02 Dec 2016 15:38:58 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-18951?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15715428#comment-15715428
] 

Hudson commented on AMBARI-18951:
---------------------------------

FAILURE: Integrated in Jenkins build Ambari-branch-2.5 #440 (See [https://builds.apache.org/job/Ambari-branch-2.5/440/])
AMBARI-18951. Force InnoDB usage for MySQL. Fix for MySQL < 5.6. (mpapyrkovskyy: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=171279a25cf12cd1f3c13ee70e366ca0f5f4a53f])
* (edit) ambari-server/src/main/resources/Ambari-DDL-MySQL-CREATE.sql


> Force InnoDB usage for MySQL
> ----------------------------
>
>                 Key: AMBARI-18951
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18951
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.4.2
>            Reporter: Myroslav Papirkovskyi
>            Assignee: Myroslav Papirkovskyi
>            Priority: Critical
>             Fix For: 2.5.0
>
>         Attachments: AMBARI-18951.patch
>
>
> We should always use InnoDB as database engine for MySQL as database with MyISAM engine
cannot be upgraded properly.
> Key reason is that MyISAM doesn't store foreign keys information, but do store indexes
with same name which lead to conflicts during upgrade.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message